API version

## Macros

#define | HWLOC_API_VERSION 0x00020000
#define | HWLOC_COMPONENT_ABI 5

## Functions

unsigned | hwloc_get_api_version (void)

## Detailed Description

## Macro Definition Documentation

## HWLOC_API_VERSION

#define HWLOC_API_VERSION 0x00020000

Indicate at build time which hwloc API version is being used.

This number is updated to (X>>16)+(Y>>8)+Z when a new release X.Y.Z actually modifies the API.

Users may check for available features at build time using this number (see How do I handle ABI breaks and API upgrades?).

## HWLOC_COMPONENT_ABI

#define HWLOC_COMPONENT_ABI 5

Current component and plugin ABI version (see hwloc/plugins.h)

## Function Documentation

## hwloc_get_api_version()

unsigned hwloc_get_api_version | ( | void |  | ) |

Indicate at runtime which hwloc API version was used at build time.

Should be HWLOC_API_VERSION if running on the same version.